Freeciv-3.3: packet_ruleset_clause Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_clause Struct Reference

`#include <packets_gen.h>`

## Data Fields

enum clause_type | type
bool | enabled
int | giver_reqs_count
struct requirement | giver_reqs [MAX_NUM_REQS]
int | receiver_reqs_count
struct requirement | receiver_reqs [MAX_NUM_REQS]
int | either_reqs_count
struct requirement | either_reqs [MAX_NUM_REQS]

## Detailed Description

Definition at line 1446 of file packets_gen.h.

## Field Documentation

## ◆ either_reqs

struct requirement packet_ruleset_clause::either_reqs[MAX_NUM_REQS]

Definition at line 1454 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ either_reqs_count

int packet_ruleset_clause::either_reqs_count

Definition at line 1453 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ enabled

bool packet_ruleset_clause::enabled

Definition at line 1448 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ giver_reqs

struct requirement packet_ruleset_clause::giver_reqs[MAX_NUM_REQS]

Definition at line 1450 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ giver_reqs_count

int packet_ruleset_clause::giver_reqs_count

Definition at line 1449 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ receiver_reqs

struct requirement packet_ruleset_clause::receiver_reqs[MAX_NUM_REQS]

Definition at line 1452 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ receiver_reqs_count

int packet_ruleset_clause::receiver_reqs_count

Definition at line 1451 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().

## ◆ type

enum clause_type packet_ruleset_clause::type

Definition at line 1447 of file packets_gen.h.

Referenced by handle_ruleset_clause(), send_packet_ruleset_clause_100(), and send_ruleset_clauses().